Machines
List Processes
List all processes running on a specific Machine within an app, with optional sorting parameters.
List all processes running on a specific Machine within an app, with optional sorting parameters.
Authorization
bearerAuth AuthorizationBearer <token>
A Fly.io access token. Create one with fly tokens create.
In: header
Path Parameters
app_name*string
Fly App Name
machine_id*string
Machine ID
Query Parameters
sort_by?string
Sort by
order?string
Order
Response Body
application/json
application/json
curl -X GET "https://example.com/apps/string/machines/string/ps"[ { "command": "string", "cpu": 0, "directory": "string", "listen_sockets": [ { "address": "string", "proto": "string" } ], "pid": 0, "rss": 0, "rtime": 0, "stime": 0 }]{ "details": {}, "error": "string", "status": "unknown"}